#ifndef THREADREAD_H
#define THREADREAD_H

#include "gloab.h"

#include <QtCharts>

class threadRead : public QThread {
    Q_OBJECT

public:
    explicit threadRead(QObject *parent = nullptr);
    bool isNumeric(QString data);

signals:
    void clearCombo();
    void showStatusbar(QString message);
    void setBeginTime(QDateTime begin);
    void setEndTime(QDateTime begin);
    void addCombo(QStringList list);
    void setProgressBar(int percent);
    void closeProg();

private:


protected:
    void run() Q_DECL_OVERRIDE;
};

#endif // THREADREAD_H
